CreateUV or Unroll for Crv?


#1

In my FlowAlongSrf workflow, I use CreateUV or Unroll to set up my base shape. For Flow, I measure the length and then create a crv of the same length on the CPlanes. Am I missing a command to ‘unroll’ a curve into a straight line?


#2

Well, if you want to create a line along the X axis the same length as your curve, you could use something like this:

import rhinoscriptsyntax as rs
def UnrollCrv():
    crv=rs.GetObject("Select curve to unroll",4,True)
    if not curve: return
    rs.AddLine([0,0,0],[rs.CurveLength(crv),0,0])

–Mitch


#3

Thanks @Helvetosaur.


#4

UnrollCrv.rvb (582 Bytes)